Bug 845797 - emoji-table unable to build
emoji-table unable to build
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-table-others (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 02:03 EDT by Parag Nemade
Modified: 2012-11-20 23:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 20:05:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2012-08-05 02:03:38 EDT
Description of problem:
This package failed to build for emoji-table with following error

Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 331, in <module>
    main ()
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 270, in main
    db.add_goucima ( goucima )
  File "/usr/share/ibus-table/engine/tabsqlitedb.py", line 524, in add_goucima
    for zi,gcm in gcms:
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 202, in goucima_parser
    zi,gcm = unicode (l, "utf-8").strip ().split ()
ValueError: too many values to unpack


Version-Release number of selected component (if applicable):
ibus-table-others-1.3.0.20100907-6.fc15.noarch

How reproducible:
always

Steps to Reproduce:
1. /bin/ibus-table-createdb  -n /usr/share/ibus-table/tables/emoji-table.db -s emoji-table.txt
2.
3.
  
Actual results:
fails to build

Expected results:
should not fail to build

Additional info:
This is not included now in next release ibus-table-others-1.3.0.20100907-9.fc18
Comment 1 Mike FABIAN 2012-08-27 11:49:35 EDT
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642813 is the same problem.

Author: LI Daobing <lidaobing@debian.org>
Description: Fix FTBFS #642813
Index: ibus-table-others/tables/emoji-table.txt
===================================================================
--- ibus-table-others.orig/tables/emoji-table.txt       2011-10-01 22:19:38.1822
76643 +0800
+++ ibus-table-others/tables/emoji-table.txt    2011-10-01 22:20:00.222276655 +0
800
@@ -71,7 +71,7 @@
 ### Whether user are allow to define phrase, default is true
 ### You have to define the word construction rules below.
 ### For input methods which do not input phrases, set this to False
-USER_CAN_DEFINE_PHRASE = TRUE
+USER_CAN_DEFINE_PHRASE = FALSE
 
 ### Whether support PinYin Mode, default is true.
 ### this feature is just for Chinese, set it to False if your IM is not
Comment 3 Fedora Update System 2012-08-30 05:32:21 EDT
ibus-table-others-1.3.0.20100907-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-table-others-1.3.0.20100907-8.fc17
Comment 4 Fedora Update System 2012-08-30 05:41:21 EDT
ibus-table-others-1.3.0.20100907-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-table-others-1.3.0.20100907-10.fc18
Comment 5 Fedora Update System 2012-08-30 14:19:43 EDT
Package ibus-table-others-1.3.0.20100907-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-table-others-1.3.0.20100907-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12998/ibus-table-others-1.3.0.20100907-10.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-07 06:44:13 EDT
ibus-table-others-1.3.0.20100907-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-table-others-1.3.0.20100907-10.fc17
Comment 7 Fedora Update System 2012-09-10 07:07:30 EDT
ibus-table-others-1.3.0.20100907-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-table-others-1.3.0.20100907-14.fc17
Comment 8 Fedora Update System 2012-09-17 20:05:01 EDT
ibus-table-others-1.3.0.20100907-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-11-20 23:06:32 EST
ibus-table-others-1.3.0.20100907-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.